Summary:	x86 CPU Microcode Utility
Summary(pl.UTF-8):	Aktualizator mikrokodu procesorów architektury x86
Name:		microcode_ctl
Version:	1.17
Release:	9
Epoch:		1
License:	GPL
Group:		Base
Source0:	http://www.urbanmyth.org/microcode/%{name}-%{version}.tar.gz
# Source0-md5:	98a7f06acef8459c8ef2a1b0fb86a99e
Source1:	%{name}.init
URL:		http://www.urbanmyth.org/microcode/
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.3.0
Requires:	uname(release) >= 2.6.20
ExclusiveArch:	i686 pentium2 pentium3 pentium4 %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The microcode_ctl utility is a companion to the x86 microcode driver.
The utility has two uses: a) it decodes and sends new microcode to the
kernel driver to be uploaded to Intel IA32 or AMD64 family processors.
(Pentium Pro, PII, Celeron, PIII, Xeon Pentium 4 etc.) b) it signals
the kernel driver to release any buffers it may hold.

The microcode update is volatile and needs to be uploaded on each
system boot i.e. it doesn't reflash your cpu permanently, reboot and
it reverts back to the old microcode.

%description -l pl.UTF-8
Narzędzie będące dodatkiem do sterownika mikrokodu x86. Program
dekoduje i wysyła nowy mikrokod do jądra systemu w celu załadowania go
do jednego z procesorów rodziny IA32 (Pentium Pro, PII, Celeron, PIII,
Xeon, Pentium 4 itd.) oraz AMD64. Ponadto wysyłany jest sygnał do
jądra by to zwolniło wszystkie bufory.

Aktualizacja mikrokodu musi być dokonywana po każdym restarcie systemu
tzn. nie jest to trwała aktualizacja. Po restarcie procesor zawiera
stary mikrokod.

%prep
%setup -q

%build
%{__cc} %{rpmldflags} %{rpmcflags} %{rpmcppflags} -Wall \
	microcode_ctl.c -o microcode_ctl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_sysconfdir},%{_sbindir},%{_mandir}/man8}
install	-p %{name} $RPM_BUILD_ROOT%{_sbindir}
cp -p %{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc Changelog README
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/microcode_ctl
%{_mandir}/man8/microcode_ctl.8*
%changelog
* Tue Aug 18 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/microcode_ctl.git;a=log;h=master

* Tue Aug 18 2015 Jan Rękorajski <baggins@pld-linux.org> d51f010
- fix install
- rel 9

* Tue Aug 18 2015 Jan Rękorajski <baggins@pld-linux.org> f2fa3f2
- drop upstart support
- rel 8

* Sun Aug 26 2012 Jakub Bogusz <qboosh@pld-linux.org> aadd997
- mention AMD64 too

* Sun May 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 779c253
- rel 7; no longer require microcode-data since our data packages use format that's not recognized by microcode_ctl (and is recognized directly by kernel microcode module instead)

* Sun Sep 25 2011 Elan Ruusamäe <glen@pld-linux.org> 4fa4ade
- update upstart deps

* Sat Aug 13 2011 Elan Ruusamäe <glen@pld-linux.org> 027cc64
- release 6

* Sat Aug 13 2011 Elan Ruusamäe <glen@pld-linux.org> 2d284bc
- add upstart script

* Thu Oct 28 2010 Tomasz Pala <gotar@pld-linux.org> f524ce8
- try to remove microcode kernel module after update, fixed status (it's
  not a daemon), cosmetics

* Mon Aug 17 2009 Elan Ruusamäe <glen@pld-linux.org> 2816b73
- use %x8664 macro

* Sat Aug 15 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 626eb5b
- use /lib/firmware/microcode.dat

* Sat Aug 15 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 71d6226
- be quiet, use /dev/cpu/microcode

* Sat Aug 15 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b12f3c7
- rel 5; separate microcode file into microcode-data-* package.

* Fri Mar 27 2009 Elan Ruusamäe <glen@pld-linux.org> 8f63b34
- do nothing in vserver

* Sat Mar 21 2009 Elan Ruusamäe <glen@pld-linux.org> 1a75b82
- use real microcode data file not 404 html page; rel 4

* Sat Mar 21 2009 Elan Ruusamäe <glen@pld-linux.org> 6d3b7a8
- use functions

* Sat Mar 21 2009 Elan Ruusamäe <glen@pld-linux.org> 5a93909
- microcode.dat contains giberrish!

* Mon Mar 09 2009 Adam Gołębiowski <adamg@pld-linux.org> 9f1bfd6
- release 3; microcode updated to 20080910

* Sun Apr 20 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c43ba2a
- one -s is enough

* Sun Apr 20 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 689397d
- rel 2; upgrade microcode data to 20080401

* Tue May 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 016a354
- updated to 1.17
- requires Linux 2.6.20+ (acc. to URL)

